# TColgp_HSequenceOfPnt2d.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TColgp_HSequenceOfPnt2d.hxx>`
`#include <TColgp_SequenceOfPnt2d.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item gp_Pnt2d
#define | Item_hxx <gp_Pnt2d.hxx>
#define | TheSequence TColgp_SequenceOfPnt2d
#define | TheSequence_hxx <TColgp_SequenceOfPnt2d.hxx>
#define | TCollection_HSequence TColgp_HSequenceOfPnt2d
#define | TCollection_HSequence_hxx <TColgp_HSequenceOfPnt2d.hxx>
#define | Handle_TCollection_HSequence Handle_TColgp_HSequenceOfPnt2d
#define | TCollection_HSequence_Type_() TColgp_HSequenceOfPnt2d_Type_()

## Functions

Handle_TColgp_HSequenceOfPnt2d | ShallowCopy (const Handle_TColgp_HSequenceOfPnt2d &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_TColgp_HSequenceOfPnt2d

#define Item gp_Pnt2d

#define Item_hxx <gp_Pnt2d.hxx>

#define TCollection_HSequence TColgp_HSequenceOfPnt2d

#define TCollection_HSequence_hxx <TColgp_HSequenceOfPnt2d.hxx>

#define TCollection_HSequence_Type_ | (

)

TColgp_HSequenceOfPnt2d_Type_()

#define TheSequence TColgp_SequenceOfPnt2d

#define TheSequence_hxx <TColgp_SequenceOfPnt2d.hxx>

## Function Documentation

Handle_TColgp_HSequenceOfPnt2d ShallowCopy | ( | const Handle_TColgp_HSequenceOfPnt2d & | me | ) | `[inline]`